> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.select.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SSO group mapping

> Update an SSO group name



## OpenAPI

````yaml https://api.select.dev/public_openapi put /api/{organization_id}/sso-group-mappings/{sso_group_name}
openapi: 3.1.0
info:
  title: SELECT API (v1)
  version: 0.1.0
servers:
  - url: https://api.select.dev/
    description: SELECT API
security: []
paths:
  /api/{organization_id}/sso-group-mappings/{sso_group_name}:
    put:
      tags:
        - sso
        - public-api
      summary: Update SSO group mapping
      description: Update an SSO group name
      operationId: >-
        update_sso_group_mapping_route_api__organization_id__sso_group_mappings__sso_group_name__put
      parameters:
        - name: sso_group_name
          in: path
          required: true
          schema:
            type: string
            description: The current SSO group name
            title: Sso Group Name
          description: The current SSO group name
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicSSOGroupUpdate'
              description: The new SSO group name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicSSOGroup'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    PublicSSOGroupUpdate:
      properties:
        new_sso_group_name:
          type: string
          minLength: 1
          title: New Sso Group Name
          description: The new SSO group name
      type: object
      required:
        - new_sso_group_name
      title: PublicSSOGroupUpdate
      description: Schema for updating an SSO group (renaming).
    PublicSSOGroup:
      properties:
        sso_group_name:
          type: string
          title: Sso Group Name
          description: The SSO group name
        roles:
          items:
            $ref: '#/components/schemas/PublicSSOGroupAccessRole'
          type: array
          title: Roles
          description: All access roles for this SSO group
      type: object
      required:
        - sso_group_name
        - roles
      title: PublicSSOGroup
      description: SSO group information with all its access roles.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicSSOGroupAccessRole:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of this role assignment
        role:
          $ref: '#/components/schemas/UserRoleEnum'
          description: The role level (admin, editor, monitor_editor, or viewer)
        scope:
          $ref: '#/components/schemas/RoleScope'
          description: The scope this role applies to
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the role was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: When the role was last updated
      type: object
      required:
        - id
        - role
        - scope
        - created_at
        - updated_at
      title: PublicSSOGroupAccessRole
      description: SSO group's access role to a resource.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserRoleEnum:
      type: string
      enum:
        - admin
        - editor
        - monitor_editor
        - viewer
      title: UserRoleEnum
    RoleScope:
      properties:
        type:
          $ref: '#/components/schemas/RoleScopeType'
          description: The type of scope for this role
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: >-
            ID of the scoped entity (organization ID, Snowflake org name,
            account UUID, or usage group ID)
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Display name of the scoped entity (populated in responses)
      type: object
      required:
        - type
      title: RoleScope
      description: Scope definition for a role assignment.
    RoleScopeType:
      type: string
      enum:
        - organization
        - snowflake_organization
        - snowflake_account
        - databricks_account
        - databricks_connection
        - tableau_site
        - usage_group
      title: RoleScopeType
      description: Types of scopes a role can be assigned to.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````